umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_cppcodegenerator.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/codegenerators/cpp/cppcodegenerator.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_CPPCodeGenerator_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_CPPCodeGenerator_t | qt_meta_stringdata_CPPCodeGenerator
static const uint | qt_meta_data_CPPCodeGenerator []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_CPPCodeGenerator_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_CPPCodeGenerator_t
Definition: moc_cppcodegenerator.cpp:24

## Variable Documentation

## ◆ qt_meta_data_CPPCodeGenerator

const uint qt_meta_data_CPPCodeGenerator[]
| static

Initial value:
= {
8,
0,
0, 0,
3, 14,
0, 0,
0, 0,
0, 0,
0,
0,
1, 1, 29, 2, 0x0a ,
5, 1, 32, 2, 0x0a ,
6, 0, 35, 2, 0x0a ,
QMetaType::Void, 0x80000000 | 3, 4,
QMetaType::Void, 0x80000000 | 3, 4,
QMetaType::Void,
0
}

## ◆ qt_meta_stringdata_CPPCodeGenerator

const qt_meta_stringdata_CPPCodeGenerator_t qt_meta_stringdata_CPPCodeGenerator
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 16),
QT_MOC_LITERAL(1, 17, 17),
QT_MOC_LITERAL(2, 35, 0),
QT_MOC_LITERAL(3, 36, 10),
QT_MOC_LITERAL(4, 47, 3),
QT_MOC_LITERAL(5, 51, 20),
},
"CPPCodeGenerator\0checkAddUMLObject\0\0"
"UMLObject*\0obj\0checkRemoveUMLObject\0"
"syncCodeToDocument"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_cppcodegenerator.cpp:28